Subject: [Sip] Building RTP Data

From: "Guenther Sohler" <[email-masked]>
Date: Mon, 20 Aug 2007 14:20:30 +0200

Hallo Group,

I have been working on my self-written SIP phone.
My Program can successfully register in an SIP Proxy and INVITE somebody,
and the partners telephone definietly rings!

I do NOT know, if I correctly sent the ACK message to the OK message.
I do not know at all

* HOW to build up the bidirectional RTP voice connection
* which ip addresses/ports to build/send
* how to form the RTP Data packets(i dont know the specialities when building
voice rtp packets)

Does anybody have a sample implementation which is so tiny so i could read
and understand it in one step ?

What I finally want to build is a phone, which is able to listen to 2
Numbers at the same time!

Can somebody guide me a little while ?

-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip